package speiger.src.coreengine.rendering.utils.states;

import org.lwjgl.opengl.GL11;

public class GLWireFrame extends GLState
{
	public GLWireFrame()
	{
		super(-1, false);
	}
	
	@Override
	protected void setValue(boolean value)
	{
		GL11.glPolygonMode(GL11.GL_FRONT_AND_BACK, value ? GL11.GL_LINE : GL11.GL_FILL);
	}
}